Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226504 - Merge Review: tsclient
Summary: Merge Review: tsclient
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tyler Owen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:12 UTC by Nobody's working on this, feel free to take it
Modified: 2012-06-15 16:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-23 19:32:00 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:12:38 UTC
Fedora Merge Review: tsclient

http://cvs.fedora.redhat.com/viewcvs/devel/tsclient/
Initial Owner: besfahbo@redhat.com

Comment 1 Tyler Owen 2008-01-11 18:21:01 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
FIX - Spec has consistant macro usage.
        - Do not use %makeinstall macro
OK - Meets Packaging Guidelines.

OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:

OK - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
OK - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

FIX - Package is a GUI app and has a .desktop file
        - Vendor should be set to fedora instead of tsclient
        - remove the " --add-category Utility " entry
OK - Package compiles and builds on at least one arch.

OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
FIX - No rpmlint output.
        SRPM: 
                tsclient.src: W: mixed-use-of-spaces-and-tabs (spaces: line 50,
tab: line 53)
        RPM:
                tsclient.i386: W: incoherent-version-in-changelog 0.150.5
0.150-5.fc8
                tsclient.i386: E: incorrect-locale-el
/usr/share/locale/gr/LC_MESSAGES/tsclient.mo
 - final provides and requires are sane:
     (include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo
=; rpm -qp --requires $i; echo; done
      manually indented after checking each line.  I also remove the rpmlib junk
and anything provided by glibc.)

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
FIX - check for outstanding bugs on package. (For core merge reviews)
        242315 - remove the Utility category (see above)

Issues:

1. Do not use %makeinstall macro
2. Fix vendor in desktop file, should be fedora
3. Fix bug 242315
4. rpmlint not quiet

        rpm:    Changelog should use - instead of . to denote release
                Need to notify upstream that the Greek local has changed from el
to gr


Comment 2 Tyler Owen 2008-01-15 03:12:55 UTC
Adding davidz to this ticket

I am doing this b/c he is listed as the owner in the pkgdb

Comment 3 Matthias Clasen 2009-01-24 02:44:18 UTC
1. The current tsclient spec file doesn't use %makeinstall
2. Adding a vendor prefix is a bad idea, it has the potential to break code that
   assumes that it can refer to the tsclient desktop file by the id 'tsclient'. 
   We are moving away from blindly forcing a vendor prefix.
3. Fixed
4. I'm not going to patch old ChangeLog entries. tsclient 2.0.1 doesn't ship Greek translations, el or gr.

Comment 4 Christopher Brown 2010-07-04 16:23:53 UTC
Old bug - long since merged so closing.

Comment 5 Dan Horák 2010-07-04 16:40:11 UTC
(In reply to comment #4)
> Old bug - long since merged so closing.    

Yes, it's old, but I can't see that the merge review was finished.

Comment 6 Christopher Brown 2010-07-04 17:26:25 UTC
Errr, okay. So are you going to complete the review?

Not sure I can see the value in keeping it open however as all issues raised were addressed.

Happy for this to be re-opened if someone is going to do the paperwork to get it completed but this appears to be rather bureaucratic.

Comment 7 Filipe Rosset 2012-04-23 19:32:00 UTC
I'm closing this bug since tsclient was removed due to dead upstream and at least two superior alternatives (remmina and gnome-rdp)

Comment 8 Parag AN(पराग) 2012-06-15 16:26:45 UTC
This bug just popped out when I searched for packages under review but looks like this package was retired already.

Dropping the flag fedora-review?


Note You need to log in before you can comment on or make changes to this bug.